Loading...
Searching...
No Matches
remote_entrepot_api.hpp File Reference
API

Libdar API to create entrepot objects. More...

`#include "../my_config.h"`
`#include "entrepot.hpp"`

Go to the source code of this file.

## Namespaces

namespace | libdar
| libdar namespace encapsulate all libdar symbols

## Typedefs

typedef remote_entrepot_type | libdar::mycurl_protocol

## Enumerations

enum class | libdar::remote_entrepot_type { libdar::remote_entrepot_type::ftp , libdar::remote_entrepot_type::sftp }
| type of entrepot to create More...

## Functions

remote_entrepot_type | libdar::string_to_remote_entrepot_type (const std::string &arg)
| extract entrepot type from a given URL

std::shared_ptr< entrepot >

libdar::create_remote_entrepot (std::shared_ptr< user_interaction > &dialog, remote_entrepot_type proto, const std::string &login, const secu_string &pass, const std::string &host, const std::string &port, bool auth_from_file, const std::string &sftp_pub_filekey, const std::string &sftp_prv_filekey, const std::string &sftp_known_hosts, U_I network_retry, bool remote_verbose)

| create a remote entrepot of given type

## Variables

const remote_entrepot_type | libdar::proto_ftp = remote_entrepot_type::ftp
const remote_entrepot_type | libdar::proto_sftp = remote_entrepot_type::sftp

## Detailed Description

Libdar API to create entrepot objects.

Definition in file remote_entrepot_api.hpp.